Package org.eclipse.graphiti.mm.algorithms.styles

# Interface AdaptedGradientColoredAreas

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `AdaptedGradientColoredAreasImpl`

public interface AdaptedGradientColoredAreas extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Adapted Gradient Colored Areas'.

The following features are supported:

- `Defined Style Id`
- `Adapted Gradient Colored Areas`
- `Gradient Type`

See Also:
  - `StylesPackage.getAdaptedGradientColoredAreas()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<GradientColoredAreas>`
`getAdaptedGradientColoredAreas()`
Returns the value of the 'Adapted Gradient Colored Areas' containment reference list.
`String`
`getDefinedStyleId()`
Returns the value of the 'Defined Style Id' attribute.
`Integer`
`getGradientType()`
Returns the value of the 'Gradient Type' attribute.
`void`
`setDefinedStyleId(String value)`
Sets the value of the '`Defined Style Id`' attribute.
`void`
`setGradientType(Integer value)`
Sets the value of the '`Gradient Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getDefinedStyleId

String getDefinedStyleId()
Returns the value of the 'Defined Style Id' attribute.

If the meaning of the 'Defined Style Id' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Defined Style Id' attribute.
See Also:
  - `setDefinedStyleId(String)`
  - `StylesPackage.getAdaptedGradientColoredAreas_DefinedStyleId()`

### setDefinedStyleId

void setDefinedStyleId(String value)
Sets the value of the '`Defined Style Id`' attribute.

Parameters:
  `value` - the new value of the 'Defined Style Id' attribute.
See Also:
  - `getDefinedStyleId()`

### getAdaptedGradientColoredAreas

org.eclipse.emf.common.util.EList<GradientColoredAreas> getAdaptedGradientColoredAreas()
Returns the value of the 'Adapted Gradient Colored Areas' containment reference list. The list contents are of type `GradientColoredAreas`.

If the meaning of the 'Adapted Gradient Colored Areas' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Adapted Gradient Colored Areas' containment reference list.
See Also:
  - `StylesPackage.getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas()`

### getGradientType

Integer getGradientType()
Returns the value of the 'Gradient Type' attribute.

If the meaning of the 'Gradient Type' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Gradient Type' attribute.
See Also:
  - `setGradientType(Integer)`
  - `StylesPackage.getAdaptedGradientColoredAreas_GradientType()`

### setGradientType

void setGradientType(Integer value)
Sets the value of the '`Gradient Type`' attribute.

Parameters:
  `value` - the new value of the 'Gradient Type' attribute.
See Also:
  - `getGradientType()`